/********** Template CSS **********/
 body {
  max-width: 100%;
  overflow-x: hidden;
}

.active_content{
    display:none;
}

  #myGallery{
      position:relative;
      width:400px; /* Set your image width */
      height:300px; /* Set your image height */
    }
    #myGallery img{
      display:none;
      position:absolute;
      top:0;
      left:0;
    }
    #myGallery img.active{
      display:block;
    }
.fade-container {
    position: relative;
    width: 300px;
    height: 200px;
  }
  .fade-container img {
    position: absolute;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    transition: opacity 1s ease-in-out;
    overflow: hidden;
    
  }
  /* Initial state: Image 1 visible */
  .image1 { opacity: 1; z-index: 2; }
  .image2 { opacity: 0; z-index: 1; }

  /* Hover state: Fade 1 out, reveal 2 */
  .fade-container .image1 { opacity: 0; }
  .fade-container .image2 { opacity: 1; }



.back-to-top {
    position: fixed;
    display: none;
    right: 45px;
    bottom: 45px;
    z-index: 99;
}



/*** Spinner ***/
@keyframes myAnimation {
  0%   {color:#048004; top:5px; bottom:5px;}
  25%  {color:rgb(2, 2, 45); left:5px; right:5px;}
  50%  {color:rgb(4, 101, 46); bottom:5px; top:5px;}
  75%  {color:rgb(8, 1, 39); bottom:5px; top:5px;}
  100% {color:#048004; top:5px; bottom:5px;}
}

.spinner-grow{
width: 3rem;
height: 3rem; 
animation-name: myAnimation;
animation-duration: 5s;


}

#spinner {
    opacity: 0;
    color: #048004;
    visibility: hidden;
    transition: opacity .5s ease-out, visibility 0s linear .5s;
    z-index: 99999;
    margin-top: 1600px;
    animation-name: myAnimation;
}

#spinner.show {
    color: #048004;
    transition: opacity .5s ease-out, visibility 0s linear 0s;
    visibility: visible;
    opacity: 1;
}








/*** Button ***/
.btn {
    font-weight: 600;
    transition: .5s;
    border-radius: 50px ;
    border: 1px solid #048004;
    color:#048004;
}

.btn-square {
    width: 38px;
    height: 38px;
}

.btn-sm-square {
    width: 32px;
    height: 32px;
}

.btn-lg-square {
    width: 48px;
    height: 48px;
}

.btn-square,
.btn-sm-square,
.btn-lg-square {
    padding: 0;
    display: flex;
    align-items: center;
    justify-content: center;
    font-weight: inherit;
}

.btn-primary {
    color: var(--bs-white);
}

.btn:hover{
    color: white;
    background-color: #048004;
     border: 1px solid  #048004 ;
}
.corousel-text {
  color:#000314;
  font-size: 30px;
  overflow: hidden; /* Ensures the content is not revealed until the animation */
  border-right: .15em solid rgb(1, 2, 28); /* The typewriter cursor */
  white-space: nowrap; /* Keeps the content on a single line */
  margin: 0 auto; /* Gives that scrolling effect as the typing happens */
  letter-spacing: .15em; 
  width: 0; /* Initial state: invisible */
  animation: 
    typing 3.5s steps(30, end) forwards,
    blink-caret .75s step-end infinite;
}

/* The typing effect */
@keyframes typing {
  from { width: 0 }
  to { width: 100% }
}

/* The typewriter cursor effect */
@keyframes blink-caret {
  from, to { border-color: transparent }
  50% { border-color: orange; }
}


/*** Navbar ***/
.navbar {
    position: absolute;
    width: 100%;
    
    top: 0;
    left: 0;
    z-index: 9;
    transition: .5s;
    height: 70px;
    background: transparent;
    
}

.navbar .navbar-nav .nav-link {
    margin-right: 25px;
    padding: 40px 0;
    color: #060133;
    font-size: 17px;
    text-transform: uppercase;
    outline: none;
    transition: .5s;
}

.navbar .navbar-nav .nav-link:hover,
.navbar .navbar-nav .nav-link.active {
    color: #024f18;
    font-weight: 700;
}

@media screen and (max-width: 1024px) {
    .navbar-link{
        width: 20px;
        padding: 10px 0 ;
        
    }

}

@media (max-width: 991.98px) {
    .navbar .navbar-nav .nav-link,
    .navbar.bg-dark .navbar-nav .nav-link {
        
        padding: 15px 10px;
        background-size: 50%;
        background-color: white;
        

    }

    .navbar .navbar-nav {
        margin-top: 8px;
        border-top: 1px solid var(--bs-light);

    }



    .navbar .navbar-nav {
        margin-top: 8px;
        border-top: 1px solid var(--bs-light);
    }
  .navbar-dark .navbar-toggler-icon{
      background-image: url("data:image/svg+xml,%3csvg xmlns='http://www.w3.org/2000/svg' viewBox='0 0 30 30'%3e%3cpath stroke='rgba(255, 1, 4, 1)' stroke-linecap='round' stroke-miterlimit='10' stroke-width='2' d='M4 7h22M4 15h22M4 23h22'/%3e%3c/svg%3e") !important;
 }
  
 
}

@media (min-width: 992px) {
    .navbar.bg-dark .navbar-nav .nav-link {
        padding: 20px 0;
    }

    .navbar .nav-item .dropdown-menu {
        display: block;
        border: none;
        margin-top: 0;
        top: 150%;
        opacity: 0;
        visibility: hidden;
        transition: .5s;
        height: 500px;
        
    }

    .navbar .nav-item:hover .dropdown-menu {
        top: 100%;
        visibility: visible;
        transition: .5s;
        opacity: 1;
        
    }
}

 .navbar-dark .navbar-toggler-icon{
      background-image: url("data:image/svg+xml,%3csvg xmlns='http://www.w3.org/2000/svg' viewBox='0 0 30 30'%3e%3cpath stroke='rgba(255, 1, 4, 1)' stroke-linecap='round' stroke-miterlimit='10' stroke-width='2' d='M4 7h22M4 15h22M4 23h22'/%3e%3c/svg%3e");
    
    }
 .navbar-toggler-icon{
    background-image: url("data:image/svg+xml,%3csvg xmlns='http://www.w3.org/2000/svg' viewBox='0 0 30 30'%3e%3cpath stroke='black' stroke-linecap='round' stroke-miterlimit='10' stroke-width='2' d='M4 7h22M4 15h22M4 23h22'/%3e%3c/svg%3e");
    
 }


.navbar .dropdown-toggle::after {
    border: none;
    content: "\f107";
    font-family: "Font Awesome 5 Free";
    font-weight: 900;
    vertical-align: middle;
    margin-left: 8px;
    color: #000314;
    
}


/*** Header ***/
.carousel-caption {
    top: 0;
    left: 0;
    right: 0;
    bottom: 0;
    padding-top: 100px;
    color: #000c1f;
    background: rgba(252, 252, 253, 0.7);
    z-index: 1;
}

.carousel-control-prev,
.carousel-control-next {
    width: 10%;
}

.carousel-control-prev-icon,
.carousel-control-next-icon {
    width: 3rem;
    height: 3rem;
}
.break{
    display: none;

}

@media (min-width:968px) {
     .text{
        width:700px;
 
    }
    
}

   
@media (max-width: 798px) {
    #header-carousel .carousel-item {
        position: relative;
        height: 670px;
        
        
    }
    
    #header-carousel .carousel-item img {
        position: absolute;
        
        
        object-fit: cover;
    }
     #header-carousel .carousel-item h5 {
        font-size: 12px;
    }

    .corousel-text{
        font-size: 1rem;
 
    }
#header-carousel .carousel-item .btn{
        width: 175px;
        height: 55px;
        font-size:14px;
      
        

        
        
        
      
        
        
    }
.text{
     
     width: 85%;
     font-size: 1rem;
     font-weight: 400;
}
.break{
    display: block;
}
}

.page-header {
    padding-top: 200px;
    background: linear-gradient(rgba(0, 0, 0, .7), rgba(0, 0, 0, .7)), url(../img/carousel-1.jpg) top center no-repeat;
    background-size: cover;
}

.page-header .breadcrumb-item + .breadcrumb-item::before {
    color: #000c1f;
}


/*** Title ***/
.title {
    margin-bottom: 2rem;
    color: #000c1f;
}

.title .title-left,
.title .title-center,
.title .title-right {
    display: inline-block;
    text-transform: uppercase;
    overflow: hidden;
    color: #048004;
}

.title .title-center {
    text-align: center;
    color: #000c1f;
    
}

.title .title-right {
    text-align: right;
    color: #000c1f;
}

.title .title-left h5,
.title .title-center h5,
.title .title-right h5 {
    position: relative;
    display: inline-block;
    font-size: 18px;
    font-weight: 300;
    color: #048004;
}

.title .title-left h5::after,
.title .title-center h5::before,
.title .title-center h5::after,
.title .title-right h5::before {
    position: absolute;
    content: "";
    width: 500%;
    height: 0;
    top: 9px;
    border-bottom: 1px solid #000c1f;
    color: #000c1f;
}

.title .title-left h5::after,
.title .title-center h5::after {
    left: calc(100% + 15px);
    color: #000c1f;
}

.title .title-right h5::before,
.title .title-center h5::before {
    right: calc(100% + 15px);
    color: #000c1f;
}

.title .title-left h1,
.title .title-center h1,
.title .title-right h1 {
    border-bottom: 1px solid #000c1f;
}

/***About***/
.image-container {
  position: relative;
  width: 450px;
  height: 500px;
  overflow: hidden;
}

@media (max-width: 1024px) {
.image-container {
  position: relative;
  width: 100%;
  height: 500px;
  overflow: hidden;
}
    }
.img {
  position: absolute;
  width: 100%;
  height: 700px;
  object-fit: cover;
  opacity: 0;
  animation: fadeSwap 16s infinite;
  margin-top: 10px;
  margin-bottom: 10px;
  overflow: hidden;
  
}

/* Delay each image */
.img1 { animation-delay: 0s; }
.img2 { animation-delay: 3s; }
.img3 { animation-delay: 6s; }
.img4  {animation-delay: 9s;}
.img5  {animation-delay: 12s;}

@keyframes fadeSwap {
  0%   { opacity: 0; }
  10%  { opacity: 1; }
  30%  { opacity: 1; }
  40%  { opacity: 0; }
  100% { opacity: 0; }
}

/*** Service ***/


@media (max-width: 767.98px) {
    .service-item.service-item-left,
    .service-item.service-item-right {
        border-radius: 500px 500px 0 0;
        background: linear-gradient(to bottom, var(--bs-secondary), var(--bs-dark));
        text-align: center;
    }
}


@media (max-width: 767.98px) {
    .service-item.service-item-left,
    .service-item.service-item-right {
        border-radius: 500px 500px 0 0;
        background: linear-gradient(to bottom, var(--bs-secondary), var(--bs-dark));
        text-align: center;
    }
}

/*** Team ***/
.team-item {
    position: relative;
    height: 100px;
    width: 100px;
    
   
   
}


.team-item .team-name {
    position: absolute;
    width: 60px;
    height: 50px;
    left: 0;
    bottom: 0;
    display: flex;
    align-items: center;
    justify-content: center;
    background: rgba(0, 0, 0, .7);
}

.team-item .team-body {
    position: relative;
    overflow: hidden;
    height: 50px;
}

.team-item .team-body .team-before,
.team-item .team-body .team-after {
    position: absolute;
    content: "";
    width: 0;
    
    top: 0;
    left: 0;
    background: rgba(0, 0, 0, .7);
    display: flex;
    flex-direction: column;
    justify-content: center;
    transition: .5s;
}
.table-row{
    height: 30px;
    align-items: center;
    justify-content: center;
   
}

.team-item .team-body .team-after {
    left: auto;
    right: 0;
}

.team-item .team-body .team-before {
    text-align: right;
}


.team-item .team-body .team-before span,
.team-item .team-body .team-after span {
    margin: 15px;
    color: var(--bs-white);
    opacity: 0;
    transition: .5s;
}




/*** Testimonial ***/
.testimonial-carousel {
    max-width: 700px;
    margin: 0 auto;
    overflow: hidden;
}

.testimonial-carousel .owl-dots {
    margin-top: 35px;
    height: 100px;
    display: flex;
    align-items: center;
    justify-content: center;
}

.testimonial-carousel .owl-dots .owl-dot {
    width: 60px;
    height: 60px;
    margin: 0 5px;
    padding: 10px;
    background: white;
    border-radius: 100px;
    transition: .5s;
}
/*** Service ***/
.service-item {
    position: relative;
    margin: 65px 0 25px 0;
    box-shadow: 0 0 45px rgba(0, 0, 0, .07);
    color: #000c1f;
    
}
.service-inner{
    height: 80px;
    width: 80px;
    
}

.service-item .service-img {
    position: absolute;
    padding: 12px;
    width: 100px;
    height: 100px;
    top: -65px;
    left: 50%;
    transform: translateX(-50%);
    background: #FFFFFF;
    box-shadow: 0 0 45px rgba(0, 0, 0, .09);
    z-index: 2;
    justify-content: center;
    align-items: center;
}

.service-item .service-detail {
    position: absolute;
    width: 100%;
    height: 100%;
    top: 0;
    left: 0;
    overflow: hidden;
    z-index: 1;
    
   
}

.service-item .service-title {
    position: absolute;
    padding: 65px 30px 25px 30px;
    width: 100%;
    height: 100%;
    top: 0;
    left: 0;
    display: flex;
    flex-direction: column;
    align-items: center;
    justify-content: center;
    text-align: center;
    background: rgb(14, 1, 59);
    transition: .5s;
    
}

.service-item:hover .service-title {
    top: -100%;
}

.service-item .service-text {
    position: absolute;
    overflow: hidden;
    padding: 65px 30px 25px 30px;
    width: 100%;
    height: 100%;
    top: 100%;
    left: 0;
    display: flex;
    align-items: center;
    text-align: center;
    background: rgba(2, 36, 91, .7);
    transition: .5s;
    
}

.service-item:hover .service-text {
    top: 0;
}

.service-item .service-text::before {
    position: absolute;
    content: "";
    width: 100%;
    height: 100px;
    top: -100%;
    left: 0;
    transform: skewY(-12deg);
    background: #FFFFFF;
    transition: .5s;
}

.service-item:hover .service-text::before {
    top: -55px;
}

.service-item .btn {
    position: absolute;
    width: 130px;
    height: 50px;
    left: 50%;
    bottom: -25px;
    transform: translateX(-50%);
    display: flex;
    align-items: center;
    justify-content: center;
    color: var(--secondary);
    background: #FFFFFF;
    border: none;
    box-shadow: 0 0 45px rgba(0, 0, 0, .09);
    z-index: 2;
}

.service-item .btn:hover {
    color: #FFFFFF;
    background:  #048004;
}


.item-patner{
    border: 0.5px solid gray;
    height: 180px;
    justify-content: center;
    align-items: center;
    box-sizing: border-box;
    overflow: hidden;
    
}

.item-patner:hover{
    transform:translate3d(0,-50px, 0) ;
    background-color: white;
    box-shadow: 0.5px 0.5px 0.5px rgb(24, 24, 26);
 
    justify-content: center;
    align-items: center;
    
}

.image-patner{
    margin-top:10px;
    height: 150px;
    width: 170px;
    margin-left: 40px;
    animation: slidein 3s ease-in-out 1s infinite alternate forwards;
}

@media(max-width:768px){
   .item-patner{
    border: 0.5px solid gray;
    height: 180px;
    width: 100%;
    justify-content: center;
    align-items: center;
    box-sizing: border-box;
    overflow: hidden;
    
}
.image-patner{
    height: 70%;
    width: 90%;
    margin-left: 10px;
    margin-top:50px;
    justify-content: center;
    align-items: center;
    animation: slidein 3s ease-in-out 1s infinite alternate forwards;
}
}

@media(max-width:1024px){
   .item-patner{
    border: 0.5px solid gray;
    height: 180px;
    width: 50%;
    justify-content: center;
    align-items: center;
    box-sizing: border-box;
    overflow: hidden;
    
}
.image-patner{
    height: 70%;
    width: 90%;
    margin-left: 10px;
    margin-top:40px;
    justify-content: center;
    align-items: center;
    animation: slidein 3s ease-in-out 1s infinite alternate forwards;
}

}


            
.testimonial-carousel {
    max-width: 1000px;
    margin: 0 auto;
}

.testimonial-carousel .owl-dots {
    margin-top: 100px;
    height: 100px;
    align-items: center;
    justify-content: center;

}

.testimonial-carousel .owl-dots .owl-dot {
    width: 100px;
    height: auto;
    padding: 0.5rem;
    background: white;
    border-radius: 100px;
    transition: .5s;
}

.testimonial-carousel .owl-dots .owl-dot.active {
    width: 300px;
    height: 200px;
    background-color:  #dadce0;
}

.testimonial-carousel .owl-dots .owl-dot img {
    
    
    transition: .5s;
    border-radius: 10px;
}

.testimonial-carousel .owl-dots .owl-dot.active img {
    width:280px;
    height: 140px;
    transform: translateY(-40%);
    background-color:  #dadce0;
    opacity: 1;
}
#test-image{
  display: none;
}

#image-dot{
     display: block;
}

@media  (max-width:1024px){
  .testimonial-carousel {
    max-width: 700px;
    margin: 0 auto;
}
#test-image{
    margin-left: 35%;
    height: 30%;
    width: 30%;
    justify-content: center;
    margin-top:20px;
    
    display: block;
}
.testimonial-carousel .owl-dots {
   
    display: none;
}
}   






  /***contact form **/
 

  .contac{
    background-image: url('../img/home.jpg');
    background-attachment: fixed;
    background-repeat: no-repeat;
    background-size: cover; background-position: center;
    background-color: rgba(252, 252, 253, 0.7);
     background-blend-mode: lighten;
      overflow-x: hidden;
  }
   .frame{
    height:280px;
    width:500px;
    
}
  .contact-section{
    width: 100%;
    background-color: #000314;

  }
  .nav-pills .nav-link{
    color: var(--bs-dark);
    font-weight: bolder;
  }
.nav-pills .nav-link.active, 
.nav-pills .show > .nav-link {
    background-color: #28a745 !important;
    color: white !important;
    font-weight: bolder;
}

    .contact-header{
        color:white;
        margin-left:150px

    }
    .contact-section{
        height: 500px;
    }

@media (max-width: 1024px) {
    .contact-header{
        font-size: 20px;
        margin-left: 60px;
    }
    .frame{
        max-width: 100%;
        height: 270px;
        margin-left: 1px;
    }
    .contac{
        height: 280vh;
        background-image: url("../img/home.jpg");
        background-size: cover;
        background-repeat: no-repeat;
        width: 100%;
        background-color: rgba(252, 252, 253, 0.7);
        background-blend-mode:lighten;


        
    }
    .location{
        max-width: 100%;
       height: 500px;
       background-color: #000314;
       margin-top:-25px;
    }
    .frame{
        width:100%;
        overflow: hidden;
    }
    .form{
       max-width: 100%;
       height: 500px;
       background-color: #000314;
       margin-top:-10px;
       
       overflow-x: hidden;

    }
    .contact-section{
        height: 450px;
        background-color: #048004;
    }
    .contac{
        height: 170vh;
    }
    }

    @media (max-width: 768px) {
    .contact-header{
        font-size: 20px;
        margin-left: 60px;
    }
    .frame{
        max-width: 100%;
        height: 270px;
        margin-left: 1px;
    }
    .contac{
        height: 280vh;
        background-image: url("../img/home.jpg");
        background-size: cover;
        background-repeat: no-repeat;
        background-color: rgba(252, 252, 253, 0.7);
        width: 100%;
        background-blend-mode: lighten;


        
    }
    .location{
        max-width: 100%;
       height: 500px;
       background-color: #000314;
       margin-top:-25px;
    }
    .frame{
        width:100%;
        overflow: hidden;
    }
    .form{
       max-width: 100%;
       height: 500px;
       background-color: #000314;
       margin-top:30px;
       overflow-x: hidden;

    }
    .contact-section{
        height: 450px;
        background-color: #048004;
    }
    }
/*** Footer ***/

.footer {
	
    height: 30px;
    display: flex;
  justify-content: center;
  align-items: center;
    align-items: center;
    width: 100% !important;
    overflow-x: hidden;
    
}
.footer-text{
        font-size: 20px;

        
        font-size:15px;
        font-weight: bolder;

    }

@media(max-width:768px){
    #myButton{
        width: 30px;
        height: 30px;

    }
}

